/* Open.c   V1.0   93-03-15                        */
/* ROM library: "dos.library/Open", (All versions) */
/* Copyright 1993, Anders Bjerin, Amiga C Club     */

#include <dos/dos.h>

#include <clib/dos_protos.h>
#include <stdio.h>
#include <stdlib.h>

UBYTE *version = "$VER: Open 1.0";

int main( int argc, char *argv[] );
int main( int argc, char *argv[] )
{
  BPTR my_file;


  /* Open a new file: */
  my_file = Open( "RAM:Score.dat", MODE_NEWFILE );
  
  /* OK? */
  if( !my_file )
  {
    /* Could not open the file! */
    printf( "Error! Could not open the file!\n" );
    exit( 20 );
  }

  /* The file has now been opened: */
  printf( "File open!\n" );


  /* - - - */


  /* Close the file: */
  Close( my_file );
  printf( "File closed!\n" );

  exit( 0 );
}

